Create an integration field-mapping draft
Creates a new draft version for the source/target object pair using supplied ownership, fields, defaults and provider metadata. Does not activate it until approval. Requires the integration platform global/configured client feature gate (normally integration_platform_foundation). Requires permission: one of access_account_settings.
curl --request POST \
--url https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/field-mappings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hys_object_type": "Hys Object Type",
"provider_object_type": "Provider Object Type",
"source_of_truth_json": {},
"mapping_json": {},
"defaults_json": {},
"metadata_json": {}
}
'import requests
url = "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/field-mappings"
payload = {
"hys_object_type": "Hys Object Type",
"provider_object_type": "Provider Object Type",
"source_of_truth_json": {},
"mapping_json": {},
"defaults_json": {},
"metadata_json": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
hys_object_type: 'Hys Object Type',
provider_object_type: 'Provider Object Type',
source_of_truth_json: {},
mapping_json: {},
defaults_json: {},
metadata_json: {}
})
};
fetch('https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/field-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/field-mappings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'hys_object_type' => 'Hys Object Type',
'provider_object_type' => 'Provider Object Type',
'source_of_truth_json' => [
],
'mapping_json' => [
],
'defaults_json' => [
],
'metadata_json' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/field-mappings"
payload := strings.NewReader("{\n \"hys_object_type\": \"Hys Object Type\",\n \"provider_object_type\": \"Provider Object Type\",\n \"source_of_truth_json\": {},\n \"mapping_json\": {},\n \"defaults_json\": {},\n \"metadata_json\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/field-mappings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"hys_object_type\": \"Hys Object Type\",\n \"provider_object_type\": \"Provider Object Type\",\n \"source_of_truth_json\": {},\n \"mapping_json\": {},\n \"defaults_json\": {},\n \"metadata_json\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/field-mappings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"hys_object_type\": \"Hys Object Type\",\n \"provider_object_type\": \"Provider Object Type\",\n \"source_of_truth_json\": {},\n \"mapping_json\": {},\n \"defaults_json\": {},\n \"metadata_json\": {}\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": 2,
"provider_key": "Example",
"hys_object_type": "Example",
"provider_object_type": "Example",
"mapping_version": 2,
"status": "Example",
"approved_by": 42,
"approved_at": "2026-10-20T12:00:00Z",
"locked_by_run_id": 42,
"locked_at": "2026-10-20T12:00:00Z",
"source_of_truth_json": {},
"mapping_json": {},
"defaults_json": {},
"metadata_json": {},
"updated_at": "2026-10-20T12:00:00Z"
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Connection id in the current organization.
Body
Validated request fields for this operation.
Hys object type. Validation: required, string, max:64.
64"Hys Object Type"
Provider object type. Validation: required, string, max:64.
64"Provider Object Type"
Provider-specific source of truth fields; use provider metadata/configuration for supported keys.
Show child attributes
Show child attributes
Mapping json. Validation: nullable, array.
Show child attributes
Show child attributes
Provider-specific defaults fields; use provider metadata/configuration for supported keys.
Show child attributes
Show child attributes
Provider-specific metadata fields; use provider metadata/configuration for supported keys.
Show child attributes
Show child attributes
curl --request POST \
--url https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/field-mappings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hys_object_type": "Hys Object Type",
"provider_object_type": "Provider Object Type",
"source_of_truth_json": {},
"mapping_json": {},
"defaults_json": {},
"metadata_json": {}
}
'import requests
url = "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/field-mappings"
payload = {
"hys_object_type": "Hys Object Type",
"provider_object_type": "Provider Object Type",
"source_of_truth_json": {},
"mapping_json": {},
"defaults_json": {},
"metadata_json": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
hys_object_type: 'Hys Object Type',
provider_object_type: 'Provider Object Type',
source_of_truth_json: {},
mapping_json: {},
defaults_json: {},
metadata_json: {}
})
};
fetch('https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/field-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/field-mappings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'hys_object_type' => 'Hys Object Type',
'provider_object_type' => 'Provider Object Type',
'source_of_truth_json' => [
],
'mapping_json' => [
],
'defaults_json' => [
],
'metadata_json' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/field-mappings"
payload := strings.NewReader("{\n \"hys_object_type\": \"Hys Object Type\",\n \"provider_object_type\": \"Provider Object Type\",\n \"source_of_truth_json\": {},\n \"mapping_json\": {},\n \"defaults_json\": {},\n \"metadata_json\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/field-mappings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"hys_object_type\": \"Hys Object Type\",\n \"provider_object_type\": \"Provider Object Type\",\n \"source_of_truth_json\": {},\n \"mapping_json\": {},\n \"defaults_json\": {},\n \"metadata_json\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/field-mappings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"hys_object_type\": \"Hys Object Type\",\n \"provider_object_type\": \"Provider Object Type\",\n \"source_of_truth_json\": {},\n \"mapping_json\": {},\n \"defaults_json\": {},\n \"metadata_json\": {}\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": 2,
"provider_key": "Example",
"hys_object_type": "Example",
"provider_object_type": "Example",
"mapping_version": 2,
"status": "Example",
"approved_by": 42,
"approved_at": "2026-10-20T12:00:00Z",
"locked_by_run_id": 42,
"locked_at": "2026-10-20T12:00:00Z",
"source_of_truth_json": {},
"mapping_json": {},
"defaults_json": {},
"metadata_json": {},
"updated_at": "2026-10-20T12:00:00Z"
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}